v1.0.0
OpenAPI 3.1.0

List newsletters

US region

Client Libraries

List newsletters

Returns a list of your newsletters and associated metadata.

Query Parameters
  • limit
    Type: integer

    The maximum number of results you want to retrieve per page.

  • sort
    Type: stringenum

    Determine how you want to sort results, asc for chronological order and desc for reverse chronological order.

    values
    • asc
    • desc
  • start
    Type: string

    The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results.

Responses
  • application/json
Request Example for get/v1/newsletters
curl 'https://api.customer.io/v1/newsletters?limit=1&sort=asc&start=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "newsletters": [
    {
      "id": 128275,
      "deduplicate_id": "128275:1484870424",
      "type": "email",
      "content_ids": [
        45
      ],
      "name": "Weekly Product Update",
      "sent_at": 1481653929,
      "created": 1481653919,
      "updated": 1481653929,
      "recipient_segment_ids": [
        42,
        99
      ],
      "tags": [
        "Product Updates"
      ],
      "subscription_topic_id": 5
    }
  ],
  "next": "string"
}